| Home | Libraries | People | FAQ | More

##### basic_raw_socket::open (1 of 2 overloads)

Inherited from basic_socket.

Open the socket using the specified protocol.

    void open(
        const protocol_type & protocol = protocol_type());

This function opens the socket so that it will use the specified protocol.

###### Parameters

protocol

  An object specifying protocol parameters to be used.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Example

    boost::asio::ip::tcp::socket socket(io_service);
    socket.open(boost::asio::ip::tcp::v4());